<div class="merchants">
  <layout-page-header
    [title]="'MERCHANT_MANAGER.MERCHANTS.TITLE' | translate"
    [description]="'MERCHANT_MANAGER.MERCHANTS.DESCRIPTION' | translate"
    [total]="(merchants$ | async)?.count"
    [tooltipMessage]="'MERCHANT_MANAGER.MERCHANTS.TOTAL_TOOLTIP' | translate"
  ></layout-page-header>
  <layout-card-container>
    <merchants-filters></merchants-filters>
    <div class="merchants__table">
      <mo-table-with-controls
        [headers]="headers"
        [response]="merchants$ | async"
        [urlRow]="merchantProfileUrl"
        [isLoading]="(isLoadingMerchants$ | async)"
        (changeTableFilters)="onChangeTableFilters($event)"
        (download)="onDownload()"
      ></mo-table-with-controls>
    </div>
  </layout-card-container>
</div>

<ng-template #merchantStatusTemplate let-row="row" let-header="header">
  <ng-container *ngIf="row[header?.dataKey] as status">
    <layout-status [status]="status"></layout-status>
  </ng-container>
</ng-template>
